/*
 * timeslot.h
 *
 *  Created on: Oct 14, 2015
 *      Author: Prithvi
 */

#ifndef CODEBASE_BLE_SDK_TIMESLOT_H_
#define CODEBASE_BLE_SDK_TIMESLOT_H_

#include <stdint.h>
#include <stdbool.h>
#include "nrf.h"
#include "softdevice_handler.h"

/**@brief Radio event handler
*/
void RADIO_timeslot_IRQHandler(void);

#if 0
/**@brief Request next timeslot event in earliest configuration
 */
void request_next_event_earliest(uint32_t timeslot_us);


/**@brief Configure next timeslot event in earliest configuration
 */
void configure_next_event_earliest(void);


/**@brief Configure next timeslot event in normal configuration
 */
void configure_next_event_normal(void);

/**@brief Timeslot signal handler
 */
void nrf_evt_signal_handler(uint32_t evt_id);


/**@brief Timeslot event handler
 */
nrf_radio_signal_callback_return_param_t * radio_callback(uint8_t signal_type);
#endif


/**@brief Function for initializing the timeslot API.
 */
void timeslot_sd_open_start_earliest(uint32_t timeslot_us,
    nrf_radio_signal_callback_return_param_t * (radio_callback)(uint8_t signal_type));

/**
 * @brief Close the time slot
 */
void timeslot_close(void);

#endif /* CODEBASE_BLE_SDK_TIMESLOT_H_ */
